<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <title>Домашняя работа</title>
    <link rel="stylesheet" href="style.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
</head>
<body>
<form name="homework" id="form" action="index.php" method="post" >
    <hr style="">
    <h4 style="font-size:16pt; font-family: Roboto, sans-serif">Заполните данные</h4>
    <label><b>Введите ваше имя:</b><br>
        <input class="text-border" name ="name"  required pattern="^[А-Яа-яЁё\s]+$|^[a-zA-Z]+$" type="text" placeholder="Дмитрий" ></label>
    <br><br>
    <label><b>Введите адрес электронной почты</b><br>
        <input type="email" name="email" class="text-border" required pattern=".+\.com|.+\.ru" placeholder="dmitii.miroshnikov@gmail.com"></label>
    <br><br>
    <label><b>Введите дату рождения</b><br>
        <input type="date" name="dateOfBirth" class="text-border" required></label>
    <br><br>
    <b>Ваш пол</b>
    <br>
    <label> <input type="radio" name="first_radio_group" checked="checked" value="male">Мужской </label>
    <label> <input type="radio" name="first_radio_group" value="female">Женский </label>
    <br><br>
    <b>Сколько у вас конечностей?</b>
    <br>
    <label><input type="radio" name="second_radio_group" value="less-then-4" checked="checked">Меньше 4</label>
    <label><input type="radio" name="second_radio_group" value="equals-4">4</label>
    <label><input type="radio" name="second_radio_group" value="over-4">Больше 4</label>
    <br><br>
    <label><b>Какую сверхспособность вы выберете?</b>
        <br>
        <select name="superpower" multiple="multiple" class="list-box">
            <option value="immortality" selected="selected">Бессмертие</option>
            <option value="particle_density">Прохождение сквозь стены</option>
            <option value="levitation">Левитация</option>
        </select>
    </label>
    <br><br>
    <label><b>Расскажите о себе:</b>
        <br>
        <textarea name="message" maxlength="256" id="text-box" placeholder="Я родился в..."></textarea>
    </label>
    <br><br>
    <label><b>Я  ознакомлен с контрактом</b> <!-- Доделать-->
            <input type="checkbox" name="contract" required>
    </label>
    <br><br>
    <label>
        <input type="submit" value="Отправить"><br>
    </label>
    <a id="exit" href="login.php?do=logout">Выход</a>
</form>
</body>